Bug 251273 - dns/encrypted-dns-server: fails to build on 11.4
Summary: dns/encrypted-dns-server: fails to build on 11.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mikael Urankar
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-20 15:13 UTC by Mikael Urankar
Modified: 2020-12-01 16:52 UTC (History)
2 users (show)

See Also:
felix: maintainer-feedback+


Attachments
v1 (1.23 KB, patch)
2020-11-20 15:13 UTC, Mikael Urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikael Urankar freebsd_committer 2020-11-20 15:13:54 UTC
Created attachment 219830 [details]
v1

It requires a modern linker, we can use lld from base (tested on 11.4 and 12.1)
Comment 1 Fernando Apesteguía freebsd_committer 2020-11-20 17:25:30 UTC
^Triage: Reporter is committer, assign accordingly.
Comment 2 Felix Hanley 2020-11-29 09:55:30 UTC
I don't have build environments for 11.x anymore (probably should) so I did not catch this.
Comment 3 Mikael Urankar freebsd_committer 2020-11-29 16:27:27 UTC
(In reply to Felix Hanley from comment #2)
No problem, is it ok to commit?
Comment 4 Felix Hanley 2020-11-29 22:13:23 UTC
Looks good to me.
Comment 5 commit-hook freebsd_committer 2020-12-01 16:52:35 UTC
A commit references this bug:

Author: mikael
Date: Tue Dec  1 16:51:38 UTC 2020
New revision: 556760
URL: https://svnweb.freebsd.org/changeset/ports/556760

Log:
  dns/encrypted-dns-server: Fix build on build on 11.4

  Switch to a modern linker

  PR:		251273
  Approved by:	Felix Hanley (maintainer)

Changes:
  head/dns/encrypted-dns-server/files/patch-cargo-crates_libsodium-sys-stable-1.19.11_build.rs